org.hibernate.validator.resourceloading

## Class DelegatingResourceBundleLocator

- java.lang.Object
- - org.hibernate.validator.resourceloading.DelegatingResourceBundleLocator

- All Implemented Interfaces:
    ResourceBundleLocator
  Direct Known Subclasses:
    AggregateResourceBundleLocator, CachingResourceBundleLocator

      public abstract class DelegatingResourceBundleLocator
      extends Object
      implements ResourceBundleLocator

  Abstract base for all `ResourceBundleLocator` implementations, that wish to delegate to some other locator.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingResourceBundleLocator(ResourceBundleLocator delegate)` Creates a new `DelegatingResourceBundleLocator`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceBundle` | `getResourceBundle(Locale locale)` Returns a resource bundle for the given locale.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingResourceBundleLocator

          public DelegatingResourceBundleLocator(ResourceBundleLocator delegate)

      Creates a new `DelegatingResourceBundleLocator`.
      Parameters:
        `delegate` - The delegate.

  - ### Method Detail

    - #### getResourceBundle

          public ResourceBundle getResourceBundle(Locale locale)

      Description copied from interface: `ResourceBundleLocator`
      Returns a resource bundle for the given locale.
      Specified by:
        `getResourceBundle` in interface `ResourceBundleLocator`
      Parameters:
        `locale` - A locale, for which a resource bundle shall be retrieved. Must not be null.
      Returns:
        A resource bundle for the given locale. May be null, if no such bundle exists.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved